/*****************************************************************************
 * command.h: Header file for sending commands to helloServer Process
 *
 * Copyright (C) 2006 University of Illinois
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * This code was written in the wireless networking group 
 * (http://www.crhc.uiuc.edu/wireless) at University of Illinois at Urbana-Champaign
 * Author: Rishi Bhardwaj, <rbhardw2 at uiuc dot edu>
 *
 *****************************************************************************/

#define COMMAND_LISTEN_PORT 9925	// Port for listening commands

#define CHANGE_METRIC  1
#define CHANGE_BETA    2
#define CHANGE_ALPHA   3
#define FREEZE_METRICS 4
#define UNFREEZE_METRICS 5
#define SUPPRESS_DEBUG_MSG 6
#define START_DEBUG_MSG  7
struct command
{
	unsigned int option;		// Choice of command
	union {
		unsigned int metric ;	// Choice of Routing Metric
		float beta ;		// Choice of beta in routing metric
		float alpha; 		// Choice of alpha in routing metric
	} field;
};



