#!/bin/bash

# Input parameter: Number of channels available

# This script starts up the multichannel protocols, assuming at least
# one interface is available at the node
# The compiled bonding driver is assumed to be called bonding.o
# The compiled userspace daemon is assumed to be called helloServer
# The compiled kernel on-demand routing support is assumed to be called kmcr.o


echo "0" > /var/log/messages
kill -SIGHUP `cat /var/run/syslogd.pid`
/sbin/iwpriv ath0 mode 1
/sbin/iwconfig ath0 mode ad-hoc essid new rate 6M
/sbin/ifconfig ath0 192.168.30.1

/sbin/insmod -f /scripts/kmcr.o interfaceName="ath0"

/bin/sleep 5
/scripts/helloServer -c /scripts/channel$1_1.txt -b 192.168.30.255 -m 192.168.30.1 -t 10 -i "ath0" -d
