#!/bin/bash

# Input parameter: Number of channels available

# This script starts up the multichannel protocols, assuming at least
# two interfaces are available at the node
# The compiled bonding driver is assumed to be called bonding.o
# The compiled userspace daemon is assumed to be called helloServer
# The compiled kernel on-demand routing support is assumed to be called kmcr.o

echo "0" > /var/log/messages
kill -SIGHUP `cat /var/run/syslogd.pid`
/sbin/iwpriv ath0 mode 1
/sbin/iwconfig ath0 mode ad-hoc essid new rate 6M
/sbin/iwpriv ath1 mode 1
/sbin/iwconfig ath1 mode ad-hoc essid new rate 6M

/sbin/insmod -f /scripts/bonding.o
/sbin/ifconfig bond0 192.168.30.1
/bonding/ifenslave bond0 ath0 ath1

/sbin/insmod -f /scripts/kmcr.o

/bin/sleep 5
/scripts/helloServer -c /scripts/channel$1.txt -b 192.168.30.255 -m 192.168.30.1 -t 10 -i "bond0" -d
